- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
WP1UnsupportedFixedLengthGroup Class Reference

`#include <WP1UnsupportedFixedLengthGroup.h>`

Inheritance diagram for WP1UnsupportedFixedLengthGroup:

## Public Member Functions
| WP1UnsupportedFixedLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char group)
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
void | parse (WP1Listener *)
Public Member Functions inherited from WP1FixedLengthGroup
| WP1FixedLengthGroup (unsigned char group)
virtual | ~WP1FixedLengthGroup ()
Public Member Functions inherited from WP1Part
virtual | ~WP1Part ()

## Additional Inherited Members
Static Public Member Functions inherited from WP1FixedLengthGroup
static WP1FixedLengthGroup * | constructFixedLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char group)
Static Public Member Functions inherited from WP1Part
static WP1Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char readVal)
Protected Member Functions inherited from WP1FixedLengthGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
unsigned char | getGroup () const

## Constructor & Destructor Documentation

WP1UnsupportedFixedLengthGroup::WP1UnsupportedFixedLengthGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | unsigned char | group
| ) |  |

## Member Function Documentation

void WP1UnsupportedFixedLengthGroup::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |
| virtual

Reimplemented from WP1FixedLengthGroup.

void WP1UnsupportedFixedLengthGroup::parse | ( | WP1Listener * |  | ) |
| inline virtual

Implements WP1Part.

The documentation for this class was generated from the following files:

- WP1UnsupportedFixedLengthGroup.h
- WP1UnsupportedFixedLengthGroup.cpp